import React from 'react';

export function EditIcon(props: any) {
  return (
    <svg
      // xmlns="http://www.w3.org/2000/svg"
      width={18}
      height={18}
      viewBox="0 -1 401.523 401"
      {...props}
    >
      <path d="M370.59 250.973c-5.524 0-10 4.476-10 10v88.789c-.02 16.562-13.438 29.984-30 30H50c-16.563-.016-29.98-13.438-30-30V89.172c.02-16.559 13.438-29.98 30-30h88.79c5.523 0 10-4.477 10-10 0-5.52-4.477-10-10-10H50c-27.602.031-49.969 22.398-50 50v260.594c.031 27.601 22.398 49.968 50 50h280.59c27.601-.032 49.969-22.399 50-50v-88.793c0-5.524-4.477-10-10-10zm0 0"></path>
      <path d="M376.629 13.441c-17.574-17.574-46.067-17.574-63.64 0L134.581 191.848a9.997 9.997 0 00-2.566 4.402l-23.461 84.7a9.997 9.997 0 0012.304 12.308l84.7-23.465a9.997 9.997 0 004.402-2.566l178.402-178.41c17.547-17.587 17.547-46.055 0-63.641zM156.37 198.348L302.383 52.332l47.09 47.09-146.016 146.016zm-9.406 18.875l37.62 37.625-52.038 14.418zM374.223 74.676L363.617 85.28l-47.094-47.094 10.61-10.605c9.762-9.762 25.59-9.762 35.351 0l11.739 11.734c9.746 9.774 9.746 25.59 0 35.36zm0 0"></path>
    </svg>
  );
}

export function DeleteIcon(props: any) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width={18}
      height={18}
      viewBox="-40 0 427 427.001"
      fill="red"
      {...props}
    >
      <path d="M232.398 154.703c-5.523 0-10 4.477-10 10v189c0 5.52 4.477 10 10 10 5.524 0 10-4.48 10-10v-189c0-5.523-4.476-10-10-10zm0 0M114.398 154.703c-5.523 0-10 4.477-10 10v189c0 5.52 4.477 10 10 10 5.524 0 10-4.48 10-10v-189c0-5.523-4.476-10-10-10zm0 0"></path>
      <path d="M28.398 127.121V373.5c0 14.563 5.34 28.238 14.668 38.05A49.246 49.246 0 0078.796 427H268a49.233 49.233 0 0035.73-15.45c9.329-9.812 14.668-23.487 14.668-38.05V127.121c18.543-4.922 30.559-22.836 28.079-41.863-2.485-19.024-18.692-33.254-37.88-33.258h-51.199V39.5a39.289 39.289 0 00-11.539-28.031A39.288 39.288 0 00217.797 0H129a39.288 39.288 0 00-28.063 11.469A39.289 39.289 0 0089.398 39.5V52H38.2C19.012 52.004 2.805 66.234.32 85.258c-2.48 19.027 9.535 36.941 28.078 41.863zM268 407H78.797c-17.098 0-30.399-14.688-30.399-33.5V128h250v245.5c0 18.813-13.3 33.5-30.398 33.5zM109.398 39.5a19.25 19.25 0 015.676-13.895A19.26 19.26 0 01129 20h88.797a19.26 19.26 0 0113.926 5.605 19.244 19.244 0 015.675 13.895V52h-128zM38.2 72h270.399c9.941 0 18 8.059 18 18s-8.059 18-18 18H38.199c-9.941 0-18-8.059-18-18s8.059-18 18-18zm0 0"></path>
      <path d="M173.398 154.703c-5.523 0-10 4.477-10 10v189c0 5.52 4.477 10 10 10 5.524 0 10-4.48 10-10v-189c0-5.523-4.476-10-10-10zm0 0"></path>
    </svg>
  );
}

export function ResendIcon(props: any) {
  return (
    <svg
      width={34}
      height={34}
      xmlns="http://www.w3.org/2000/svg"
      x="0"
      y="0"
      viewBox="0 0 96 120"
      {...props}
    >
      <path
        d="M84 33H71a2 2 0 000 4h7.576l-24.17 20.63a9.825 9.825 0 01-12.812 0L17.424 37H25a2 2 0 000-4H12a2 2 0 00-2 2v49a2 2 0 002 2h72a2 2 0 002-2V35a2 2 0 00-2-2zm-2 46.892L60.86 63.324a2 2 0 10-2.467 3.149L78.206 82H17.794l19.812-15.527a2 2 0 10-2.466-3.149L14 79.892V39.337l24.996 21.336a13.807 13.807 0 0018.008 0L82 39.337zM31 27a16.989 16.989 0 0131.869-8.21l.278-.615a2 2 0 113.643 1.65l-2.267 5a1.998 1.998 0 01-2.6 1.017l-4.733-2a2 2 0 111.557-3.684l.407.172a12.992 12.992 0 101.366 10.186 2 2 0 113.852 1.08A17.002 17.002 0 0131 27z"
        data-name="resend"
      ></path>
    </svg>
  );
}
